## Guide

Pour mise en place de deux machines afin de tester la fonction de création/instanciation de vm du module Hapy en 2.8.1.

#### Démarrer deux VM

- aca.zephir-instance-avecconf-2.8.1
- aca.hapy-instance-avec-import-2.8.1

#### Vérification de la configuration de l'amon et du scribe

se connecter sur [https://ServeurZephirIP:8070](https://<serveurIP>:8070)

1. Une fois sur la page d'accueil aller dans **```établissement```**, lancer une recherche avec ```%``` dans l'encart dédié à l'établissement et sélectionner **```etb1```**.

2. Les serveurs disponible pour cet établissements s'affiche. Sélectionner un serveurs amon exemple : **```etb1.amon-default-2.8.1```**, vous arriver sur la page du serveur en question. cliquer sur l'option **```modifier```** dans **configuration du serveur**. Puis connectez-vous à l'interface gen_config *user* = **root**, *mdp* = **eole**.

3. L'interface de gen_config s'affiche, dans **```généralité```** vérifier que l'option suivante est bien à **oui** => ```Ce serveur est une machine virtuelle à déployer automatiquement```.

4. dans l'option **```machine virtuel```**, et ```réseau``` entrer les réseaux suivants (cf img):
   - CR-internet
   - CR-admin
   - CR-pedago
   - CR-dmz-pub
![ARF tant pis !](/capture/ReseauAmon.png)

5. Enregistrer la configuration et quitter

6. Effectuer la même manoeuvre pour la machine **```etb1.scribe-dhcp```**.

   1. L'interface de gen_config s'affiche, dans **```généralité```** vérifier que l'option suivante est bien à **oui** => ```Ce serveur est une machine virtuelle à déployer automatiquement```
   
   2. dans l'option **```machine virtuel```**, et ```réseau``` entrer le réseau suivant => CR_dmz-pub (cf img):
![ARF tant pis !](/capture/ReseauScribe.png) 
    3. enregistrer la configuration et quitter

#### *NOTE*
ATTENTION *il s'avère que d'autres machine dans etb1 ont l'option ```Ce serveur est une machine virtuelle à déployer automatiquement``` à **oui**, il faut passer cet option à non pour les autres machines non désiré pour le test.*

___

#### paramétrage réseau (virtuel) du serveur hapy

**<u>Présentation du réseau type etb1 :</u>**

![ARF tant pis !](/capture/reseauetb1.png) 


#### Gen_config du serveur hapy

1. Se connecter sur [https://hapy.ac-test.fr:7000/genconfig](https://hapy.ac-test.fr:7000/genconfig). Connectez-vous à l'interface gen_config *user* = **root**, *mdp* = **eole**.

2. Aller dans **```Virtualisation```** et cliquer sur l'option **```réseau virtuel à la plage d'adresse IP```**.

3. effectuer les ajout comme sur l'image ci-dessous.
![ARF tant pis !](/capture/config-hapy-reseau-virtuel.png)

***Note**: ne pas tenir compte du message Warning concernant l'adresse DNS et la première adresse de la plage ip.*

#### paramétrage du déploiement automatique

1. Dans ```Services``` activer le mode **expert** passer à **oui** l'option ```Activer le déploiement automatique des machines virtuelles```.
cf image : 
![ARF tant pis !](/capture/hapy-deploiement-auto-oui.png)


2. Indiquer le N° d'établissement ```00000001```.
3. Important indiquer l'emplacement du ```fichier de ca à utiliser```,il s'agit de la ca du serveur zephir, vérifier la valeur ```/usr/local/share/ca-certificates/zephir.crt```

cf image : 
![ARF tant pis !](/capture/hapy-deploiement-auto.png)

4. Enregistrer les modificiations et lancer la commande `reconfigure`.

---

#### enregistrement zephir de la vm hapy

1. effectuer un enregistrement_zephir. Pour ce faire il faut au préalable copier la ca du zephir sur l'hapy puis effectuer une updates des ca. Soit depuis l'hapy

`scp root@zephir.ac-test.fr:/etc/ssl/certs/ca_local.crt /usr/local/share/ca-certificates/zephir.crt`
`update-ca-certificates`

2. lancer l'enregistrement zephir : `enregistrement_zephir`

![ARF tant pis !](/capture/enregistrement-zephir02.png)
<u>réponse aux questions :</u>
- nom dns serveur zephir => `zephir.ac-test.fr`
- login pour zephir `admin_zephir`
- mot de passe `eole`
- créer le serveur dans la base `oui`
- ensuite laisser les valeurs par défaut (vous pouvez donner un libellé au serveur si vous le souhaitez)
- liste des modules disponible => valeurs par défaut
- configuration des communications vers le serveur zephir, soit ne rien faire (`1`), soit sauver la configuration actuelle sur le serveur zephir (`3`).

---

#### Re-instance de la VM hapy

Avant de ré-instancier s'il s'agit bien d'une VM hapy déjà instanciée il faut supprimer les réseau dans sunstone. En effet le déploiement des VM ne ce fait qu'à l'instance et nécessite donc des données vierge. 
pour ce faire : 
1. Se connecter à l'interface web (ex Sunstone): [https://hapy.ac-test.fr:]([https://hapy.ac-test.fr) *user* = **eoleone**, *mdp* = **eole**.
2. Dans l'onglet **Réseau** => **Réseaux Virtuels** supprimer tous les réseaux déjà présents (normalement uniquement CR_aca)
3. Vous pouvez également supprimer tous les fichiers et les images dans la section ```Stocakge```

##### instance


```instance```
![ARF tant pis !](/capture/reinstance-hapy01.png)

```Voulez-vous lancer le déploiement automatique des machines virtuelles ? [Non] ``` **oui**

```Entrez votre login zephir (rien pour sortir) :``` **admin_zephir**
```Mot de passe zephir pour admin_zephir :``` **eole**
```Voulez-vous retenir ces identifiants                         pour les prochaines utilisations ? [non] :``` **non**
![ARF tant pis !](/capture/reinstance-hapy02.png)

---
## NOTE 

Concernant zephir : 
- attention il peut y avoir plusieurs modèles dont le paramètre ```Ce serveur est une machine virtuelle à déployer automatiquement``` est à oui. lors du dernier essai les modèles suivant l'étaient : 
  - scribegg
  - etb1.scribe-default-2.8.1
  - etb1.scribe-default-2.8.0
  - etb1.amon-default-2.7.2
  - etb1.scribe-default-2.7.2
  - etb1.amon-default-2.7.1
  - etb1.scribe-default-2.7.1
  - etb1.scribe-default-2.7.0
  - etb1.amon-default-2.7.0

## DEBUG

- emplacement donnée => ```/etc/eole/hapy-deploy```
- dans serveur emplacement log => ```/etc/eole/hapy```
- paquet :
    - eole-hapy-deployment (2.8.1-8) (root)
    - eole-modele-vm (2.8.1-8) (root)

- log sur les vm en cours de déploiement ```/var/log/hapy-deployxxx.log```
